# Memo-keys

## Purpose of the golos.memo smart contract

The `golos.memo` smart contract provides a storage for the memo-keys of the users. These keys can be used in client application to encrypt the private messaging between users. At the moment, the contract does not allow to add or remove memo keys, but only provides storage of memo keys that are imported from the genesis, for possible usage in the future.

## Actions used in golos.memo smart contract

The `golos.memo` smart contract does not support any actions.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/devportal/application_contracts/golos_contracts/golos.memo_contract.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
